package com.ruoyi.app.model.request;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class ReqGetPorkSideProduce {

    private String slaughterCode;

    private String animalCertNo;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date produceTime;

    /** 移动端 关键词 */
    private String keyword;

    public void setSlaughterCode(String slaughterCode)
    {
        this.slaughterCode = slaughterCode;
    }

    public String getSlaughterCode()
    {
        return slaughterCode;
    }

    public void setAnimalCertNo(String animalCertNo)
    {
        this.animalCertNo = animalCertNo;
    }

    public String getAnimalCertNo()
    {
        return animalCertNo;
    }

    public void setProduceTime(Date produceTime)
    {
        this.produceTime = produceTime;
    }

    public Date getProduceTime()
    {
        return produceTime;
    }

    public void setKeyword(String keyword)
    {
        this.keyword = keyword;
    }

    public String getKeyword()
    {
        return keyword;
    }
}
